org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

## Class GroupAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions.GroupAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class GroupAction
    extends org.eclipse.jface.action.Action

This action will allow us to group differences by their kind.

Since:
  4.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`GroupAction(StructureMergeViewerGrouper structureMergeViewerGrouper, IDifferenceGroupProvider.Descriptor dgp, IDifferenceGroupProvider gp, DifferenceGroupManager groupManager, boolean isThreeWay)` Instantiates our action given its target grouper.

### Method Summary

All Methods Instance Methods Concrete Methods
`IDifferenceGroupProvider.Descriptor` `getDescriptorGroupProvider()`
`boolean` `isEnabled()`
`void` `runWithEvent(org.eclipse.swt.widgets.Event event)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupAction

    public GroupAction(StructureMergeViewerGrouper structureMergeViewerGrouper,
                       IDifferenceGroupProvider.Descriptor dgp,
                       IDifferenceGroupProvider gp,
                       DifferenceGroupManager groupManager,
                       boolean isThreeWay)

Instantiates our action given its target grouper.

Parameters:
  `structureMergeViewerGrouper` -
  `dgp` - The group provider descriptor.
  `gp` - The group provider created by the group provider descriptor.
  `groupManager` - `DifferenceGroupManager`
  `isThreeWay` - Set to true if the current comparison is a Three way comparison.

### Method Detail

#### isEnabled

    public boolean isEnabled()

Specified by:
  `isEnabled` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `isEnabled` in class `org.eclipse.jface.action.Action`

#### getDescriptorGroupProvider

    public IDifferenceGroupProvider.Descriptor getDescriptorGroupProvider()

#### runWithEvent

    public void runWithEvent(org.eclipse.swt.widgets.Event event)

Specified by:
  `runWithEvent` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `runWithEvent` in class `org.eclipse.jface.action.Action`